Bug 1252496 - [QE] Missing module options for UsersRoles login module
[QE] Missing module options for UsersRoles login module
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity medium
: post-GA
: ---
Assigned To: Zach Rhoads
FIlip Bogyai
https://access.stage.redhat.com/docum...
: Documentation, Triaged
Depends On:
Blocks: 1233012
  Show dependency treegraph
 
Reported: 2015-08-11 10:36 EDT by FIlip Bogyai
Modified: 2015-12-01 00:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 08:49:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FIlip Bogyai 2015-08-11 10:36:22 EDT
Book: Login Module Reference
Revision: n_1575841_login-module-reference_version_6.4_edition_1.0_release_0-revision_6701191
Section: 3.2. USERSROLES LOGIN MODULE

Issue description:
Table 3.2. UsersRoles Login Module Options contains description of login module options, but there are missing some module options (e.g. "roleGroupSeperator" option). Note that there is no typo in Sep_e_rator, this typo is in code.

There are also options(password-stacking, unauthenticatedIdentity), which are already documented in parent login module tables and should be removed from Table 3.2. UsersRoles Login Module Options.

The list of undocumented options is: defaultUsersProperties, defaultRolesProperties, roleGroupSeperator. Please note that this list is not authoritative, there might be options that are unsupported or some options are missing. Consult PM/dev/GSS for authoritative list of options.

Suggestions for improvement:
Ask developers or PM for all supported options for this login module and document them.
Comment 5 FIlip Bogyai 2015-09-01 04:28:13 EDT
Verified in revision "n_1601531_login-module-reference_version_6.4_edition_1.0_release_0-revision_6890161" of https://access.stage.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/login-module-reference

Note You need to log in before you can comment on or make changes to this bug.